HanMacWrdJGraphInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
HanMacWrdJGraphInternal::State Struct Reference

Internal: the state of a HanMacWrdJGraph. More...

## Public Member Functions
| State ()
| constructor More...
shared_ptr< Frame > | findFrame (int type, int lId) const
| tries to find the lId the frame of a given type More...
FrameFormat const & | getFrameFormat (int id) const
| returns the frame format corresponding to an id More...
bool | getColor (int id, MWAWColor &col)
| returns a color correspond to an id More...
bool | getPattern (int id, Pattern &pattern)
| returns a pattern correspond to an id More...
void | initColors ()
| init the color list More...
void | initPatterns ()
| init the pattenr list More...

## Static Public Member Functions
static MWAWColor | getColor (MWAWColor col, float pattern)
| returns a color corresponding to a pattern and a color More...

## Public Attributes
std::vector< shared_ptr< Frame > > | m_framesList
| the list of frames More...
std::map< long, int > | m_framesMap
| a map zId->frame pos in frames list More...
std::vector< FrameFormat > | m_frameFormatsList
| the list of frame format More...
int | m_numPages
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
std::vector< Pattern > | m_patternList
| a list patternId -> pattern More...

## Detailed Description

Internal: the state of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

HanMacWrdJGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

shared_ptr<Frame> HanMacWrdJGraphInternal::State::findFrame | ( | int | type,
|  | int | lId
| ) |  | const
| inline

tries to find the lId the frame of a given type

bool HanMacWrdJGraphInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  |
| inline

returns a color correspond to an id

static MWAWColor HanMacWrdJGraphInternal::State::getColor | ( | MWAWColor | col,
|  | float | pattern
| ) |  |
| inlinestatic

returns a color corresponding to a pattern and a color

FrameFormat const& HanMacWrdJGraphInternal::State::getFrameFormat | ( | int | id | ) | const
| inline

returns the frame format corresponding to an id

bool HanMacWrdJGraphInternal::State::getPattern | ( | int | id,
|  | Pattern & | pattern
| ) |  |
| inline

returns a pattern correspond to an id

void HanMacWrdJGraphInternal::State::initColors | ( |  | ) |

init the color list

Referenced by getColor().

void HanMacWrdJGraphInternal::State::initPatterns | ( |  | ) |

init the pattenr list

Referenced by getPattern().

## Member Data Documentation

std::vector<MWAWColor> HanMacWrdJGraphInternal::State::m_colorList

a list colorId -> color

Referenced by getColor(), and initColors().

std::vector<FrameFormat> HanMacWrdJGraphInternal::State::m_frameFormatsList

the list of frame format

Referenced by getFrameFormat().

std::vector<shared_ptr<Frame> > HanMacWrdJGraphInternal::State::m_framesList

the list of frames

Referenced by findFrame().

std::map<long, int> HanMacWrdJGraphInternal::State::m_framesMap

a map zId->frame pos in frames list

int HanMacWrdJGraphInternal::State::m_numPages

std::vector<Pattern> HanMacWrdJGraphInternal::State::m_patternList

a list patternId -> pattern

Referenced by getPattern(), and initPatterns().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx